# Uses of Class
org.eclipse.swt.graphics.ImageData

Packages that use ImageData
Package
Description
org.eclipse.swt.graphics

## Uses of ImageData in org.eclipse.swt.graphics

Fields in org.eclipse.swt.graphics declared as ImageData
Modifier and Type
Field
Description
`ImageData[]`
ImageLoader.`data`
the array of ImageData objects in this ImageLoader.
`ImageData`
ImageLoaderEvent.`imageData`
if the `endOfImage` flag is false, then this is a partially complete copy of the current `ImageData`, otherwise this is a completely loaded `ImageData`
Methods in org.eclipse.swt.graphics that return ImageData
Modifier and Type
Method
Description
`ImageData`
Image.`getImageData()`
Returns an `ImageData` based on the receiver Modifications made to this `ImageData` will not affect the Image.
`ImageData`
ImageData.`getTransparencyMask()`
Returns an `ImageData` which specifies the transparency mask information for the receiver.
`static ImageData`
ImageData.`internal_new(int width, int height, int depth, PaletteData palette, int scanlinePad, byte[] data, int maskPad, byte[] maskData, byte[] alphaData, int alpha, int transparentPixel, int type, int x, int y, int disposalMethod, int delayTime)`
Invokes internal SWT functionality to create a new instance of this class.
`ImageData[]`
ImageLoader.`load(InputStream stream)`
Loads an array of `ImageData` objects from the specified input stream.
`ImageData[]`
ImageLoader.`load(String filename)`
Loads an array of `ImageData` objects from the file with the specified name.
`ImageData`
ImageData.`scaledTo(int width, int height)`
Returns a copy of the receiver which has been stretched or shrunk to the specified size.
Constructors in org.eclipse.swt.graphics with parameters of type ImageData
Modifier
Constructor
Description
``
`ImageLoaderEvent(ImageLoader source, ImageData imageData, int incrementCount, boolean endOfImage)`
Constructs a new instance of this class given the event source and the values to store in its fields.